; General 控制程序主要配置段
[General]
; 配置主页路径，这里可以是远程页面，但为了最终加载效果，推荐使用本地页
mainPage=pages/views/student-login.html
; 是否开启测试播放器模式，如果开启，则播放HKS卫视
playerTestUrl=false
enableRecord=false
allowMultiInstance=false
env=release
; 是否允许语音公放标志
allowVoicePublicFlag = false

[Product]
;xueersi_o2o
productId=CD0A2AB9E05CE94C6E477D48F363A7CC
;xueersi_onine
;productId=CA1EDE4E04B7260DFBD803D8D8417D86

; 学生：1，老师3
[Role]
roleId=1

; XP：01，非XP:02
[OS]
osId=02

; 控制主窗相关
[Frame]
; 是否去掉windows原生边框，包括标题栏，可拖动区域，最小化最大化关闭按钮等
framelessMode=true
frameMaximize=true
framePosFixed=false
; 标题，这里的设置影响标题栏和任务栏
frameTitle=WISROOM
frameWidth=900
frameHeight=700

;debug < info < warn < err < critical
[LogLevel]
level=debug

;open, close
[WebInspector]
state=open

[Evaluate]
; 测评类型 0：不评测 ；3：中文；9：英文
type=2
;是否开启降噪，0不开，1开
noise=0

[AutoRecovery]
PlayerAutoRecovery=true

[Base]
baseGuid=TALLivePlatform-{357FAD86-3A3F-4B0B-9BE5-47E179AD9D58}

; 流相关
[Stream]
; 推流地址前缀，该配置后面会使用远程配置代替
streamPushUrl=rtmp://push.speiyou.com/live_online/
streamPullUrl=rtmp://live.speiyou.com/live_online/
;streamPushUrl=rtmp://10.2.250.92/live_haibian/
; 拉流地址前缀，该配置后面会使用远程配置代替
;streamPullUrl=rtmp://10.2.250.92/live_haibian/

; 摄像头相关
[Camera]
; 编码参数，此参数JS接口可以改
cameraFps=15
cameraBitrate=192000
cameraWidth=640
cameraHeight=360
; 摄像头捕获参数，此参数JS无法修改
cameraCapFps=30
cameraCapWidth=1920
cameraCapHeight=1080
; 其它
enableBeautiful=false
recordType=mp4

;毫秒
[Player]
;播放器缓存时间，只保留最新的数据
bufferTime=5000
;是否支持播放器双击全屏显示
enableDBClickFullScreen=true

; 截屏相关
[Screen]
screenFps=25
screenBitrate=300000

[Audio]
;AEC开启等级，0，1，2，3，0表示关闭，3表示最高等级
AECLevel=2
;AGC开启与否，默认true
AGCEnable=true
;NoiseSuppression开启等级，0，1，2，3，0表示关闭，3表示最高等级
NoiseSuppressionLevel=2
;麦克风默认音量
microphoneVolume=90
;扬声器默认音量
speakerVolume=70

[Video]
videoAlgorithm=h264

[Feature]
;人脸识别默认关闭
Mirror=true
MirrorPath=C:/Program Files (x86)/Mirror
consoleShow=false

[Course]
audioRecord=false
debugMode=false

[CoursewareEditor]
host=http://pxtest.facethink.com/gateway/editor/action

[oss]
endpoint="dawn.shareurl.facethink.com";
access_key="3QO8TW7G59ES77LY8BPH";
secret_key="BH93o6mW2EkeKcVy3LPO3wgz5pg1WPiDWz5TNT5C";
bucket="phoenixeditor";
send_speed="500000000";

;服务器相关
[Server]
wsUrl=ws://pxtest.facethink.com/debug/pet/doubleTeachWS
httpUrl=http://pxtest.facethink.com/debug/pet
CoursewareHost=http://pxtest.facethink.com/cwm
PingHost=pxtest.facethink.com
LogHost=http://10.1.10.77:9120/bi/log/append
RankCourseHost=http://pxtest.facethink.com/cbm
EditorHost=http://pxtest.facethink.com
DeviceHost=http://pxtest.facethink.com/dm
; 磨课
MoKeHost=http://phoenix.facethink.com
[Courseware]
videoFileFilter=*.mp4_*.mtv_*.rmvb
imageFileFilter=*.bmp_*.png_*.jpg_*.jpeg
audio=*.mp3
